List jail snapshots
GET
/jail/{ctid}/snapshots
const url = 'https://sylve.lan:8181/api/jail/1/snapshots';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/jail/1/snapshots \ --header 'Authorization: <Authorization>'Retrieve the crash-consistent recursive ZFS snapshot records for a jail
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ctid
required
integer
Jail CTID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
createdAt
string
ctId
integer
description
string
id
integer
jid
integer
name
string
parentSnapshotId
integer
rootDataset
string
snapshotName
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "createdAt": "example", "ctId": 1, "description": "example", "id": 1, "jid": 1, "name": "example", "parentSnapshotId": 1, "rootDataset": "example", "snapshotName": "example", "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}